oracle.xml.parser.v2

## Interface XMLLocator

All Superinterfaces:
  Locator, Locator2

    public interface XMLLocator
    extends Locator2

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDeclEncoding()` Returns the name of the character encoding declared This may be different from the actuall enconding used which is retruned by getEncoding
`java.lang.String` `getStandalone()` Get the standalone attribute in XML Declaration

### Methods inherited from interface org.xml.sax.ext.Locator2

`getEncoding, getXMLVersion`

### Methods inherited from interface org.xml.sax.Locator

`getColumnNumber, getLineNumber, getPublicId, getSystemId`

### Method Detail

#### getStandalone

    java.lang.String getStandalone()

Get the standalone attribute in XML Declaration

Returns:
  String value of the standalone attribute either "yes" or "no"

#### getDeclEncoding

    java.lang.String getDeclEncoding()

Returns the name of the character encoding declared This may be different from the actuall enconding used which is retruned by getEncoding

Copyright © 2003, 2020, Oracle and/or its affiliates.